<div class="row mt-3">
  <div class="col-md-6 mb-3">
    <div class="card mb-3">
      <div class="card-heading">
        <h5>Aktuelles Abo</h5>
      </div>
      <div class="card-body d-flex justify-content-center" *ngIf="!abos">
        <div class="spinner-border text-primary" role="status">
          <span class="sr-only">Loading...</span>
        </div>
      </div>
      <div class="card-body" *ngIf="abos && abos.name == 'Starter Abo'">
        <p class="card-text">
          Dein Verein hat noch kein Abo abgeschlossen. Kostenfrei kannst du bis zu
          {{abos.maxUsers}} Nutzer einladen und {{abos.maxEnsembles}} Ensemble erstellen.
        </p>
        <p class="card-text">
          Du möchtest onesemble mit mehr Mitgliedern und Ensembles nutzen? Dann schließe jetzt ein Abo ab.
        </p>
        <button type="button" class="btn btn-lg btn-block btn-outline-success" routerLink="change">Jetzt Abo abschließen
        </button>
      </div>
      <ng-container *ngIf="abos && abos.name != 'Starter Abo'">
        <div class="card-body" *ngFor="let abo of abos" >
          <div class="card mb-4">
            <div class="card-header">
              <h4 class="font-weight-normal">{{abo.plan.product.name}}</h4>
            </div>
            <div class="card-body">
              <h1 class="card-title">
                {{ abo.plan.amount / 100 }} €
                <small class="text-muted" *ngIf="abo.plan.interval == 'month'">/ Monat</small>
                <small class="text-muted" *ngIf="abo.plan.interval == 'year'">/ Jahr</small>
              </h1>
              <ul class="list-unstyled mt-3 mb-4">
                <li>maximal {{abo.plan.product.metadata.maxUsers}} Nutzer</li>
                <li>bis zu {{abo.plan.product.metadata.maxEnsembles}} Ensembles</li>
                <ng-container *ngIf="abo.status != 'incomplete' && abo.status != 'past_due'">
                  <li>
                    Abo gültig von {{abo.current_period_start * 1000 | date }} bis
                    {{abo.current_period_end * 1000 | date }}
                  </li>
                  <li *ngIf="abo.cancel_at" class="text-danger">
                    Abo gekündigt zum {{abo.cancel_at * 1000 | date }}
                  </li>
                  <li *ngIf="hasFutureAbo" class="text-success">Nachfolgendes Abo vorhanden</li>
                </ng-container>
                <ng-container *ngIf="abo.status == 'incomplete' || abo.status == 'past_due'">
                  <li  class="text-danger">
                    Zahlung unvollständig. Dein Abo ist nicht aktiv, bis es bezahlt wurde.
                  </li>
                </ng-container>
              </ul>
              <ng-container *ngIf="abo.status == 'incomplete' || abo.status == 'past_due'">
                <a type="button" class="btn btn-lg btn-block btn-primary"
                        href="{{getInvoiceForSubscription(abo.id).hosted_invoice_url}}" target="_blank">Rechnung jetzt bezahlen
                </a>
              </ng-container>
              <ng-container *ngIf="abo.status != 'incomplete' && abo.status != 'past_due'">
                <button type="button" class="btn btn-lg btn-block btn-success" routerLink="change"
                        *ngIf="!abo.cancel_at">Abo ändern
                </button>
                <button type="button" class="btn btn-lg btn-block btn-outline-danger" (click)="openModal(cancelAboModal)"
                        *ngIf="!abo.cancel_at">Abo kündigen
                </button>
                <button type="button" class="btn btn-lg btn-block btn-outline-danger" (click)="openModal(cancelCancellationModal)"
                        *ngIf="abo.cancel_at && !hasFutureAbo">Kündigung zurück nehmen
                </button>
              </ng-container>
            </div>
          </div>
        </div>
      </ng-container>
    </div>
    <div class="card" *ngIf="futureAbo && futureAbo.status == 'not_started'">
      <div class="card-heading">
        <h5>Geplante Abos</h5>
      </div>
      <ng-container *ngFor="let phase of futureAbo.phases">
        <div class="card-body" *ngFor="let abo of phase.plans" >
          <div class="card mb-4">
            <div class="card-header">
              <h4 class="font-weight-normal">{{abo.plan.product.name}}</h4>
            </div>
            <div class="card-body">
              <h1 class="card-title">
                {{ abo.plan.amount / 100 }} €
                <small class="text-muted" *ngIf="abo.plan.interval == 'month'">/ Monat</small>
                <small class="text-muted" *ngIf="abo.plan.interval == 'year'">/ Jahr</small>
              </h1>
              <ul class="list-unstyled mt-3 mb-4">
                <li>maximal {{abo.plan.product.metadata.maxUsers}} Nutzer</li>
                <li>bis zu {{abo.plan.product.metadata.maxEnsembles}} Ensembles</li>
                <li>Abo beginnt am {{phase.start_date * 1000 | date }}</li>
              </ul>
              <ng-container *ngIf="futureAbo.status == 'not_started'">
                <button type="button" class="btn btn-lg btn-block btn-success" (click)="openModal(editFutureAboModal)">
                  Bestellung ändern
                </button>
                <button type="button" class="btn btn-lg btn-block btn-outline-danger" (click)="openModal(cancelFutureAboModal)">
                  Bestellung stornieren
                </button>
              </ng-container>
            </div>
          </div>
        </div>

      </ng-container>
    </div>
  </div>
  <div class="col-md-6">
    <div class="card">
      <div class="card-heading">
        <h5>Rechnungen</h5>
      </div>
      <div class="card-body d-flex justify-content-center" *ngIf="!invoices">
        <div class="spinner-border text-primary" role="status">
          <span class="sr-only">Loading...</span>
        </div>
      </div>
      <div class="card-body">
        <table class="table" *ngIf="invoices && invoices.length > 0">
          <thead>
          <tr>
            <th scope="col">Rechnungsdatum</th>
            <th scope="col">Betrag</th>
            <th scope="col">Status</th>
            <th scope="col">PDF</th>
          </tr>
          </thead>
          <tbody>
          <tr *ngFor="let invoice of invoices">
            <td>{{(invoice.created * 1000) | date: 'short'}}</td>
            <td>{{invoice.amount_due / 100}} €</td>
            <td>{{'stripe.' + invoice.status | translate}}</td>
            <td>
              <a href="{{invoice.invoice_pdf}}" target="_blank"><i class="far fa-file-pdf"></i></a>
            </td>
          </tr>
          </tbody>
        </table>
        <alert type="info" *ngIf="invoices && invoices.length <= 0">
          Es sind noch keine Rechnungen vorhanden.
        </alert>
      </div>
    </div>
  </div>
</div>

<ng-template #cancelAboModal>
  <div class="modal-body">
    <h4>Abo kündigen</h4>
    <p>Bist du sicher, dass du das {{abos[0].plan.product.name}} deines Vereins kündigen möchtest?</p>
    <p>Das Abo wird zum Ende der Laufzeit, also zum <span class="text-danger"> {{abos[0].current_period_end * 1000 | date }}</span>, gekündigt.</p>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="modalRef.hide()">
      <i class="fa fa-ban" aria-hidden="true"></i> abbrechen
    </button>
    <button type="button" class="btn btn-danger" (click)="cancelAbo()">
      <i class="fa fa-trash" aria-hidden="true"></i> Abo kündigen
    </button>
  </div>
</ng-template>

<ng-template #cancelCancellationModal>
  <div class="modal-body">
    <h4>AKündigung zurück nehmen</h4>
    <p>Bist du sicher, dass du die Kündigung des Abos deines Vereins kündigen möchtest?</p>
    <p>Die Stornierung wird sofort wirksam und das Abo läuft regulär weiter.</p>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="modalRef.hide()">
      <i class="fa fa-ban" aria-hidden="true"></i> abbrechen
    </button>
    <button type="button" class="btn btn-danger" (click)="cancelCancellation()">
      <i class="fa fa-trash" aria-hidden="true"></i> Kündigung zurücknehmen
    </button>
  </div>
</ng-template>

<ng-template #cancelFutureAboModal>
  <div class="modal-body">
    <h4>Geplantes Abo stornieren</h4>
    <p>Bist du sicher, dass du die geplante Aboänderung stornieren willst?</p>
    <p>Die Stornierung wird sofort wirksam und das alte Abo läuft regulär weiter.</p>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="modalRef.hide()">
      <i class="fa fa-ban" aria-hidden="true"></i> abbrechen
    </button>
    <button type="button" class="btn btn-danger" (click)="cancelFutureAbo()">
      <i class="fa fa-trash" aria-hidden="true"></i> Änderung stornieren
    </button>
  </div>
</ng-template>

<ng-template #editFutureAboModal>
  <div class="modal-body">
    <h4>Geplantes Abo ändern</h4>
    <p>Zum Ändern des geplanten Abo storniere bitte die Bestellung und lege eine Neue an.</p>
  </div>
  <div class="modal-footer">
    <button type="button" class="btn btn-secondary" (click)="modalRef.hide()">
      <i class="fa fa-check" aria-hidden="true"></i> OK
    </button>
  </div>
</ng-template>